Update Page
curl --request PUT \
--url https://api.launchmystore.io/api/v1/pages/:id.json \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"handle": "<string>",
"content": "<string>",
"templateSuffix": "<string>",
"link": "<string>",
"showtitle": true,
"seoTitle": "<string>",
"seoDesc": "<string>",
"seoImage": "<string>"
}
'import requests
url = "https://api.launchmystore.io/api/v1/pages/:id.json"
payload = {
"title": "<string>",
"handle": "<string>",
"content": "<string>",
"templateSuffix": "<string>",
"link": "<string>",
"showtitle": True,
"seoTitle": "<string>",
"seoDesc": "<string>",
"seoImage": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
handle: '<string>',
content: '<string>',
templateSuffix: '<string>',
link: '<string>',
showtitle: true,
seoTitle: '<string>',
seoDesc: '<string>',
seoImage: '<string>'
})
};
fetch('https://api.launchmystore.io/api/v1/pages/:id.json', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 123,
"state": "<string>",
"message": "<string>",
"data": {}
}Pages
Update Page
Update an existing page
PUT
/
api
/
v1
/
pages
/
:id.json
Update Page
Update Page
Updates an existing page. Only provided fields are updated.Request
curl -X PUT "https://api.launchmystore.io/api/v1/pages/8f3c2a91-7d4e-4b6a-9c1f-2e5d8a0b3c7e.json" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"title": "About Our Company",
"content": "<h2>Our Updated Story</h2><p>We have grown significantly...</p>"
}'
const response = await fetch('https://api.launchmystore.io/api/v1/pages/8f3c2a91-7d4e-4b6a-9c1f-2e5d8a0b3c7e.json', {
method: 'PUT',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
title: 'About Our Company',
content: '<h2>Our Updated Story</h2><p>We have grown significantly...</p>'
})
});
Path Parameters
The unique page ID (
pageId) to updateBody Parameters
All parameters are optional. Only provided fields are updated; any keys not listed below are ignored.The page title
URL-safe handle
Page content (HTML)
Custom template suffix
Optional external link for the page
Whether to display the page title on the storefront
Custom page title for search engines
Meta description for search engines
Open Graph / social share image URL
Response
HTTP status code (
200 on success)Outcome state,
success on successHuman-readable message,
null on successWrapper containing the updated
page objectExample Response
{
"status": 200,
"state": "success",
"message": null,
"data": {
"page": {
"pageId": "8f3c2a91-7d4e-4b6a-9c1f-2e5d8a0b3c7e",
"id": "473829",
"title": "About Our Company",
"handle": "about-us",
"content": "<h2>Our Updated Story</h2><p>We have grown significantly...</p>",
"templateSuffix": null,
"link": null,
"showtitle": true,
"seoTitle": "About Us | MyStore",
"seoDesc": "Learn about our story, mission, and commitment to quality.",
"seoImage": null,
"storeId": "1a2b3c4d-5e6f-7a8b-9c0d-1e2f3a4b5c6d",
"createdAt": "2024-01-01T10:00:00.000Z",
"updatedAt": "2024-03-20T15:30:00.000Z"
}
},
"pagination": null
}
Error Response
When no page matches the ID for the store, the request returns a404 envelope:
{
"status": 404,
"state": "error",
"message": "Page not found",
"data": null
}
Notes
- Changing the handle will break existing links to the page.
- Navigation menu links may need to be updated if the handle changes.
Error Codes
| Status | State | Description |
|---|---|---|
401 | error | Invalid or missing access token |
403 | error | App doesn’t have write_content scope |
404 | error | Page with the specified ID does not exist |
⌘I